# Class RibbonModifierRewardPhase

#### Hierarchy (view full)

- ModifierRewardPhase
  - RibbonModifierRewardPhase

- Defined in src/phases.ts:3981

#####
Index

### Constructors

constructor

### Properties

modifierType
scene
species

### Methods

doReward
end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new RibbonModifierRewardPhase(scene, modifierTypeFunc, species): RibbonModifierRewardPhase

- #### Parameters

  - scene: default
  - modifierTypeFunc: ModifierTypeFunc
  - species: default

  #### Returns RibbonModifierRewardPhase

  Overrides ModifierRewardPhase.constructor

  - Defined in src/phases.ts:3984

## Properties

### `Protected` modifierType

modifierType: ModifierType

Inherited from ModifierRewardPhase.modifierType

- Defined in src/phases.ts:3934

### `Protected` scene

scene: default

Inherited from ModifierRewardPhase.scene

- Defined in src/phase.ts:4

### `Private` species

species: default

- Defined in src/phases.ts:3982

## Methods

### doReward

- doReward(): Promise<void>

- #### Returns Promise<void>

  Overrides ModifierRewardPhase.doReward

  - Defined in src/phases.ts:3990

### end

- end(): void

- #### Returns void

  Inherited from ModifierRewardPhase.end

  - Defined in src/phase.ts:17

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from ModifierRewardPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from ModifierRewardPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Inherited from ModifierRewardPhase.start

  - Defined in src/phases.ts:3942